Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
pdumodel::Outlet::SettingsChangedEvent Struct Reference

Event: Outlet settings have been changed. More...

Inheritance diagram for pdumodel::Outlet::SettingsChangedEvent:

## Public Attributes
Settings | oldSettings
| Settings before change.
Settings | newSettings
| Settings after change.
Public Attributes inherited from event::UserEvent
string | actUserName
| user who triggered event
string | actIpAddr
| ip or device on which user is logged in
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: Outlet settings have been changed.

Definition at line 144 of file Outlet.idl.

## Member Data Documentation

## ◆ newSettings

Settings pdumodel::Outlet::SettingsChangedEvent::newSettings

Settings after change.

Definition at line 146 of file Outlet.idl.

## ◆ oldSettings

Settings pdumodel::Outlet::SettingsChangedEvent::oldSettings

Settings before change.

Definition at line 145 of file Outlet.idl.

The documentation for this struct was generated from the following file:

- Outlet.idl